Skip to main content
POST
/
accounts
/
{aid}
/
shopping
/
orders
/
{order_id}
/
events
Create an order event
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "state": "success",
  "service": "<string>",
  "service_status": "ready_for_pickup"
}
'
{
  "state": "success",
  "service": "<string>",
  "service_status": "ready_for_pickup",
  "id": "bd04c959-d159-49b4-a096-2d84e014a8da",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "bd04c959-d159-49b4-a096-2d84e014a8da",
  "version": 123,
  "request": {
    "path": "<string>",
    "method": "<string>",
    "body": "<string>"
  },
  "draft_id": "<string>",
  "description": "food prepared",
  "metadata": {
    "pickup_location": {
      "latitude": 37.42242,
      "longitude": -122.08585,
      "postal_code": "0342",
      "address": "Smallwei"
    }
  },
  "_links": [
    {
      "href": "<string>",
      "rel": "draft"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
order_id
string
required

The resource identifier string

Body

application/json

order event

state
enum<string>
default:success
required

The state of the event

Available options:
error,
failure,
success,
pending
service
string
required

The type of service used, used to differentiate this status from other services

service_status
string
required

The status reported by the service

Example:

"ready_for_pickup"

description
string

A short description of the reason for the status

Example:

"food prepared"

metadata
object

Additional service data related to the event

Example:
{
"pickup_location": {
"latitude": 37.42242,
"longitude": -122.08585,
"postal_code": "0342",
"address": "Smallwei"
}
}

Response

event

state
enum<string>
default:success
required

The state of the event

Available options:
error,
failure,
success,
pending
service
string
required

The type of service used, used to differentiate this status from other services

service_status
string
required

The status reported by the service

Example:

"ready_for_pickup"

id
string

The resource ID. Defaults to UUID v4

Maximum string length: 40
Example:

"bd04c959-d159-49b4-a096-2d84e014a8da"

created_at
string<date-time>

The date-time when the resource was created

created_by
string

The ID of the user/client created the resource

Maximum string length: 40
Example:

"bd04c959-d159-49b4-a096-2d84e014a8da"

version
number
read-only

The version of the resource when the request was done.

request
object
read-only

Included in events that was created when the resource was updated.

draft_id
string
read-only

Included in audit events where the order was created or updated by a draft.

description
string

A short description of the reason for the status

Example:

"food prepared"

metadata
object

Additional service data related to the event

Example:
{
"pickup_location": {
"latitude": 37.42242,
"longitude": -122.08585,
"postal_code": "0342",
"address": "Smallwei"
}
}

The links related to resource

Minimum array length: 1